import {
	Body,
	Controller,
	Get,
	HttpCode,
	HttpStatus,
	Post,
	UseGuards,
} from "@nestjs/common";
import { ApiTags } from "@nestjs/swagger";
import { User } from "@prisma/client";
import { JwtGuard } from "src/auth/guard";
import { GetUser } from "../auth/decorator";
import { TradeDto } from "./dto";
import { TradeService } from "./trade.service";

@UseGuards(JwtGuard)
@ApiTags("trade")
@Controller("trade")
export class TradeController {
	constructor(private tradeService: TradeService) {}

	@Get("/all")
	getAllPromoCodes(@GetUser() user: User) {
		return this.tradeService.getTrades(user.id);
	}

	@HttpCode(HttpStatus.CREATED)
	@Post("/create")
	createPromoCode(
		// @GetUser() user: User,
		@Body()
		dto: TradeDto,
		@GetUser() user: User,
	) {
		return this.tradeService.createTrade(user.id, dto);
	}
}
