import { Controller, Get, UseGuards } from "@nestjs/common";
import { ApiTags } from "@nestjs/swagger";
import { User } from "@prisma/client";
import { GetUser } from "../auth/decorator";
import { JwtGuard } from "../auth/guard";
import { UserService } from "./user.service";

@ApiTags("user")
@UseGuards(JwtGuard)
@Controller("user")
export class UserController {
	constructor(private userService: UserService) {}

	@Get("/my-assets")
	GetMyAssets(
		@GetUser()
		user: User,
	) {
		return this.userService.getMyAssets(user.id);
	}

	@Get("/users-assets")
	GetAlLAssets(
		@GetUser()
		user: User,
	) {
		return this.userService.getUsersAssets(user.id);
	}
	@Get("/my-trades")
	GetMyTrades(
		@GetUser()
		user: User,
	) {
		return this.userService.getMyTrades(user.id);
	}
}
